Update planCopy Pageput https://api.instellix.io/v2/plans/{planId}Request to update a plan. If a plan holds an active contract then update is limited tothe plan name and its properties - to be propagated for all future documents.Path ParamsplanIdint64requiredBody ParamsThe updated planbusinessSegmentIdint64 | nulldeprecatedDEPRECATED. Deprecated: Use business segment ident instead. The Id of the business segment for the Plan. The default segment will be used if not set.businessSegmentIdentstring | nullDetermines to which business segment this plan belongs. Should be set, if not set the deprecated "businessSegmentId" needs to be set instead.individualPlanboolean | nullIf the plan is individual, it can be only assigned to one contract.truefalseinitialPhasestring | nullThe ident of the phase that will be started at first.namestringrequiredlength between 1 and 255Name of the plan. Must not be blank. Size must be between 1 and 255.pendingContractTermsobject | nullConfigure terms that are applicable for the time between signing and the start of the contract.pendingContractTerms object | nullphasesarray of objectsrequiredlength ≥ 1Must not be empty.phases* objectA plan has one or more phases. A phase contains one or more options. Phases are intended for plans that have changes in price, billing interval or included products/services at a predefined point in time. Creating options while creating a plan is deprecated: Use the Option API instead to manage Options and reference them when creating a plan.autoRenewalboolean | nulldeprecatedDEPRECATED. Deprecated: Phase transition should be used instead. When set to true, contracts are automatically renewed, when a term has passedtruefalsebillingConfigobject | nullThe new API to configure billing details on phase level. Using these properties will ignore the billingStrategyField from options within this phase.billingConfig object | nullidentstring | nullMust be a unique external reference. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.linkedOptionsarray of objects | nullA list of linked optionslinkedOptionsADD objectnamestring | nullName of the phase. Size must be between 0 and 255.noticePeriodobject | nullSpecifies a time durationnoticePeriod object | nulloptionsarray | nulldeprecatedoptionsADD CommissionOptionCreationRequest | OneTimeOptionCreationRequest | QuantityOptionCreationRequest | RatedUsageOptionCreationRequest | RecurringOptionCreationRequest | TimeBasedUsageOptionCreationRequest | UsageOptionCreationRequesttermDurationobject | nullSpecifies a time durationtermDuration object | nulltermSyncbooleanDefaults to trueWhen set to true, contracts end at the end of the interval at the end of the month, independent from when the contract startedtruefalsetransitionsarray of objects | nullA list of transitions.transitionsADD objectADD objectpropertiesarray of objects | nullAdditional plan properties.propertiesADD objecttypestring | nullThe type of plan. Must be one of:. Must be one of: CUSTOMERPlans with the main goal of invoicing customers. Can't contain COMMISSION options.PARTNERPlans with the main goal of crediting partners. Has to contain at least one COMMISSION option.Responses 200Standard response for successful HTTP requests. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 27 days ago